| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
gclib.GDataRecord1806 Struct Reference

Data record struct for DMC-1806 controller. More...

Inheritance diagram for gclib.GDataRecord1806:

## Public Member Functions
byte[] | byte_array ()
| Returns the data record as a byte array and allows for access to individual bytes.

## Public Attributes
UW | sample_number
| sample number.
UB | input_bank_0
| general input bank 0 (inputs 1-8).
UB | input_bank_1
| general input bank 1 (inputs 9-16).
UB | input_bank_2
| general input bank 2 (inputs 17-24).
UB | input_bank_3
| general input bank 3 (inputs 25-32).
UB | input_bank_4
| general input bank 4 (inputs 33-40).
UB | input_bank_5
| general input bank 5 (inputs 41-48).
UB | input_bank_6
| general input bank 6 (inputs 49-56).
UB | input_bank_7
| general input bank 7 (inputs 57-64).
UB | input_bank_8
| general input bank 8 (inputs 65-72).
UB | input_bank_9
| general input bank 9 (inputs 73-80).
UB | output_bank_0
| general output bank 0 (outputs 1-8).
UB | output_bank_1
| general output bank 1 (outputs 9-16).
UB | output_bank_2
| general output bank 2 (outputs 17-24).
UB | output_bank_3
| general output bank 3 (outputs 25-32).
UB | output_bank_4
| general output bank 4 (outputs 33-40).
UB | output_bank_5
| general output bank 5 (outputs 41-48).
UB | output_bank_6
| general output bank 6 (outputs 49-56).
UB | output_bank_7
| general output bank 7 (outputs 57-64).
UB | output_bank_8
| general output bank 8 (outputs 65-72).
UB | output_bank_9
| general output bank 9 (outputs 73-80).
SW | reserved_0
| Reserved.
SW | reserved_2
| Reserved.
SW | reserved_4
| Reserved.
SW | reserved_6
| Reserved.
SW | reserved_8
| Reserved.
SW | reserved_10
| Reserved.
SW | reserved_12
| Reserved.
SW | reserved_14
| Reserved.
UB | reserved_16
| Reserved.
UB | reserved_17
| Reserved.
UB | reserved_18
| Reserved.
UB | reserved_19
| Reserved.
UB | reserved_20
| Reserved.
UB | reserved_21
| Reserved.
UB | reserved_22
| Reserved.
UB | reserved_23
| Reserved.
UB | error_code
| error code.
UB | thread_status
| thread status.
UL | reserved_24
| Reserved.
UL | contour_segment_count
| Segment Count for Contour Mode.
UW | contour_buffer_available
| Buffer space remaining, Contour Mode.
UW | s_plane_segment_count
| segment count of coordinated move for S plane.
UW | s_plane_move_status
| coordinated move status for S plane.
SL | s_distance
| distance traveled in coordinated move for S plane.
UW | s_plane_buffer_available
| Buffer space remaining, S Plane.
UW | t_plane_segment_count
| segment count of coordinated move for T plane.
UW | t_plane_move_status
| Coordinated move status for T plane.
SL | t_distance
| distance traveled in coordinated move for T plane.
UW | t_plane_buffer_available
| Buffer space remaining, T Plane.
UW | axis_a_status
| A axis status.
UB | axis_a_switches
| A axis switches.
UB | axis_a_stop_code
| A axis stop code.
SL | axis_a_reference_position
| A axis reference position.
SL | axis_a_motor_position
| A axis motor position.
SL | axis_a_position_error
| A axis position error.
SL | axis_a_aux_position
| A axis auxiliary position.
SL | axis_a_velocity
| A axis velocity.
SL | axis_a_torque
| A axis torque.
UW | axis_a_analog_in
| A axis analog input.
UB | axis_a_reserved_0
| Reserved.
UB | axis_a_reserved_1
| Reserved.
SL | axis_a_variable
| A User-defined variable (ZA).
UW | axis_b_status
| B axis status.
UB | axis_b_switches
| B axis switches.
UB | axis_b_stop_code
| B axis stop code.
SL | axis_b_reference_position
| B axis reference position.
SL | axis_b_motor_position
| B axis motor position.
SL | axis_b_position_error
| B axis position error.
SL | axis_b_aux_position
| B axis auxiliary position.
SL | axis_b_velocity
| B axis velocity.
SL | axis_b_torque
| B axis torque.
UW | axis_b_analog_in
| B axis analog input.
UB | axis_b_reserved_0
| Reserved.
UB | axis_b_reserved_1
| Reserved.
SL | axis_b_variable
| B User-defined variable (ZA).
UW | axis_c_status
| C axis status.
UB | axis_c_switches
| C axis switches.
UB | axis_c_stop_code
| C axis stop code.
SL | axis_c_reference_position
| C axis reference position.
SL | axis_c_motor_position
| C axis motor position.
SL | axis_c_position_error
| C axis position error.
SL | axis_c_aux_position
| C axis auxiliary position.
SL | axis_c_velocity
| C axis velocity.
SL | axis_c_torque
| C axis torque.
UW | axis_c_analog_in
| C axis analog input.
UB | axis_c_reserved_0
| Reserved.
UB | axis_c_reserved_1
| Reserved.
SL | axis_c_variable
| C User-defined variable (ZA).
UW | axis_d_status
| D axis status.
UB | axis_d_switches
| D axis switches.
UB | axis_d_stop_code
| D axis stop code.
SL | axis_d_reference_position
| D axis reference position.
SL | axis_d_motor_position
| D axis motor position.
SL | axis_d_position_error
| D axis position error.
SL | axis_d_aux_position
| D axis auxiliary position.
SL | axis_d_velocity
| D axis velocity.
SL | axis_d_torque
| D axis torque.
UW | axis_d_analog_in
| D axis analog input.
UB | axis_d_reserved_0
| Reserved.
UB | axis_d_reserved_1
| Reserved.
SL | axis_d_variable
| D User-defined variable (ZA).
UW | axis_e_status
| E axis status.
UB | axis_e_switches
| E axis switches.
UB | axis_e_stop_code
| E axis stop code.
SL | axis_e_reference_position
| E axis reference position.
SL | axis_e_motor_position
| E axis motor position.
SL | axis_e_position_error
| E axis position error.
SL | axis_e_aux_position
| E axis auxiliary position.
SL | axis_e_velocity
| E axis velocity.
SL | axis_e_torque
| E axis torque.
UW | axis_e_analog_in
| E axis analog input.
UB | axis_e_reserved_0
| Reserved.
UB | axis_e_reserved_1
| Reserved.
SL | axis_e_variable
| E User-defined variable (ZA).
UW | axis_f_status
| F axis status.
UB | axis_f_switches
| F axis switches.
UB | axis_f_stop_code
| F axis stop code.
SL | axis_f_reference_position
| F axis reference position.
SL | axis_f_motor_position
| F axis motor position.
SL | axis_f_position_error
| F axis position error.
SL | axis_f_aux_position
| F axis auxiliary position.
SL | axis_f_velocity
| F axis velocity.
SL | axis_f_torque
| F axis torque.
UW | axis_f_analog_in
| F axis analog input.
UB | axis_f_reserved_0
| Reserved.
UB | axis_f_reserved_1
| Reserved.
SL | axis_f_variable
| F User-defined variable (ZA).
UW | axis_g_status
| G axis status.
UB | axis_g_switches
| G axis switches.
UB | axis_g_stop_code
| G axis stop code.
SL | axis_g_reference_position
| G axis reference position.
SL | axis_g_motor_position
| G axis motor position.
SL | axis_g_position_error
| G axis position error.
SL | axis_g_aux_position
| G axis auxiliary position.
SL | axis_g_velocity
| G axis velocity.
SL | axis_g_torque
| G axis torque.
UW | axis_g_analog_in
| G axis analog input.
UB | axis_g_reserved_0
| Reserved.
UB | axis_g_reserved_1
| Reserved.
SL | axis_g_variable
| G User-defined variable (ZA).
UW | axis_h_status
| H axis status.
UB | axis_h_switches
| H axis switches.
UB | axis_h_stop_code
| H axis stop code.
SL | axis_h_reference_position
| H axis reference position.
SL | axis_h_motor_position
| H axis motor position.
SL | axis_h_position_error
| H axis position error.
SL | axis_h_aux_position
| H axis auxiliary position.
SL | axis_h_velocity
| H axis velocity.
SL | axis_h_torque
| H axis torque.
UW | axis_h_analog_in
| H axis analog input.
UB | axis_h_reserved_0
| Reserved.
UB | axis_h_reserved_1
| Reserved.
SL | axis_h_variable
| H User-defined variable (ZA).

## Detailed Description

Data record struct for DMC-1806 controller.

The 18x6 Data record is the same as 4000 except the following.

1. No header bytes. Firmware strips it in DR. Software removes it from QR.
2. No Ethernet status (bytes 42-49).
3. No amplfifier status (bytes 52-55).
4. No axis-specific hall input status.

Definition at line 1302 of file gclib.cs.

## Member Function Documentation

## ◆ byte_array()

byte[] gclib.GDataRecord1806.byte_array | ( |  | ) |
| inline

Returns the data record as a byte array and allows for access to individual bytes.

Implements gclib.GDataRecord.

Definition at line 1304 of file gclib.cs.

## Member Data Documentation

## ◆ sample_number

UW gclib.GDataRecord1806.sample_number

sample number.

Definition at line 1307 of file gclib.cs.

## ◆ input_bank_0

UB gclib.GDataRecord1806.input_bank_0

general input bank 0 (inputs 1-8).

Definition at line 1309 of file gclib.cs.

## ◆ input_bank_1

UB gclib.GDataRecord1806.input_bank_1

general input bank 1 (inputs 9-16).

Definition at line 1310 of file gclib.cs.

## ◆ input_bank_2

UB gclib.GDataRecord1806.input_bank_2

general input bank 2 (inputs 17-24).

Definition at line 1311 of file gclib.cs.

## ◆ input_bank_3

UB gclib.GDataRecord1806.input_bank_3

general input bank 3 (inputs 25-32).

Definition at line 1312 of file gclib.cs.

## ◆ input_bank_4

UB gclib.GDataRecord1806.input_bank_4

general input bank 4 (inputs 33-40).

Definition at line 1313 of file gclib.cs.

## ◆ input_bank_5

UB gclib.GDataRecord1806.input_bank_5

general input bank 5 (inputs 41-48).

Definition at line 1314 of file gclib.cs.

## ◆ input_bank_6

UB gclib.GDataRecord1806.input_bank_6

general input bank 6 (inputs 49-56).

Definition at line 1315 of file gclib.cs.

## ◆ input_bank_7

UB gclib.GDataRecord1806.input_bank_7

general input bank 7 (inputs 57-64).

Definition at line 1316 of file gclib.cs.

## ◆ input_bank_8

UB gclib.GDataRecord1806.input_bank_8

general input bank 8 (inputs 65-72).

Definition at line 1317 of file gclib.cs.

## ◆ input_bank_9

UB gclib.GDataRecord1806.input_bank_9

general input bank 9 (inputs 73-80).

Definition at line 1318 of file gclib.cs.

## ◆ output_bank_0

UB gclib.GDataRecord1806.output_bank_0

general output bank 0 (outputs 1-8).

Definition at line 1320 of file gclib.cs.

## ◆ output_bank_1

UB gclib.GDataRecord1806.output_bank_1

general output bank 1 (outputs 9-16).

Definition at line 1321 of file gclib.cs.

## ◆ output_bank_2

UB gclib.GDataRecord1806.output_bank_2

general output bank 2 (outputs 17-24).

Definition at line 1322 of file gclib.cs.

## ◆ output_bank_3

UB gclib.GDataRecord1806.output_bank_3

general output bank 3 (outputs 25-32).

Definition at line 1323 of file gclib.cs.

## ◆ output_bank_4

UB gclib.GDataRecord1806.output_bank_4

general output bank 4 (outputs 33-40).

Definition at line 1324 of file gclib.cs.

## ◆ output_bank_5

UB gclib.GDataRecord1806.output_bank_5

general output bank 5 (outputs 41-48).

Definition at line 1325 of file gclib.cs.

## ◆ output_bank_6

UB gclib.GDataRecord1806.output_bank_6

general output bank 6 (outputs 49-56).

Definition at line 1326 of file gclib.cs.

## ◆ output_bank_7

UB gclib.GDataRecord1806.output_bank_7

general output bank 7 (outputs 57-64).

Definition at line 1327 of file gclib.cs.

## ◆ output_bank_8

UB gclib.GDataRecord1806.output_bank_8

general output bank 8 (outputs 65-72).

Definition at line 1328 of file gclib.cs.

## ◆ output_bank_9

UB gclib.GDataRecord1806.output_bank_9

general output bank 9 (outputs 73-80).

Definition at line 1329 of file gclib.cs.

## ◆ reserved_0

SW gclib.GDataRecord1806.reserved_0

Reserved.

Definition at line 1331 of file gclib.cs.

## ◆ reserved_2

SW gclib.GDataRecord1806.reserved_2

Reserved.

Definition at line 1332 of file gclib.cs.

## ◆ reserved_4

SW gclib.GDataRecord1806.reserved_4

Reserved.

Definition at line 1333 of file gclib.cs.

## ◆ reserved_6

SW gclib.GDataRecord1806.reserved_6

Reserved.

Definition at line 1334 of file gclib.cs.

## ◆ reserved_8

SW gclib.GDataRecord1806.reserved_8

Reserved.

Definition at line 1335 of file gclib.cs.

## ◆ reserved_10

SW gclib.GDataRecord1806.reserved_10

Reserved.

Definition at line 1336 of file gclib.cs.

## ◆ reserved_12

SW gclib.GDataRecord1806.reserved_12

Reserved.

Definition at line 1337 of file gclib.cs.

## ◆ reserved_14

SW gclib.GDataRecord1806.reserved_14

Reserved.

Definition at line 1338 of file gclib.cs.

## ◆ reserved_16

UB gclib.GDataRecord1806.reserved_16

Reserved.

Definition at line 1340 of file gclib.cs.

## ◆ reserved_17

UB gclib.GDataRecord1806.reserved_17

Reserved.

Definition at line 1341 of file gclib.cs.

## ◆ reserved_18

UB gclib.GDataRecord1806.reserved_18

Reserved.

Definition at line 1342 of file gclib.cs.

## ◆ reserved_19

UB gclib.GDataRecord1806.reserved_19

Reserved.

Definition at line 1343 of file gclib.cs.

## ◆ reserved_20

UB gclib.GDataRecord1806.reserved_20

Reserved.

Definition at line 1344 of file gclib.cs.

## ◆ reserved_21

UB gclib.GDataRecord1806.reserved_21

Reserved.

Definition at line 1345 of file gclib.cs.

## ◆ reserved_22

UB gclib.GDataRecord1806.reserved_22

Reserved.

Definition at line 1346 of file gclib.cs.

## ◆ reserved_23

UB gclib.GDataRecord1806.reserved_23

Reserved.

Definition at line 1347 of file gclib.cs.

## ◆ error_code

UB gclib.GDataRecord1806.error_code

error code.

Definition at line 1349 of file gclib.cs.

## ◆ thread_status

UB gclib.GDataRecord1806.thread_status

thread status.

Definition at line 1350 of file gclib.cs.

## ◆ reserved_24

UL gclib.GDataRecord1806.reserved_24

Reserved.

Definition at line 1351 of file gclib.cs.

## ◆ contour_segment_count

UL gclib.GDataRecord1806.contour_segment_count

Segment Count for Contour Mode.

Definition at line 1353 of file gclib.cs.

## ◆ contour_buffer_available

UW gclib.GDataRecord1806.contour_buffer_available

Buffer space remaining, Contour Mode.

Definition at line 1354 of file gclib.cs.

## ◆ s_plane_segment_count

UW gclib.GDataRecord1806.s_plane_segment_count

segment count of coordinated move for S plane.

Definition at line 1356 of file gclib.cs.

## ◆ s_plane_move_status

UW gclib.GDataRecord1806.s_plane_move_status

coordinated move status for S plane.

Definition at line 1357 of file gclib.cs.

## ◆ s_distance

SL gclib.GDataRecord1806.s_distance

distance traveled in coordinated move for S plane.

Definition at line 1358 of file gclib.cs.

## ◆ s_plane_buffer_available

UW gclib.GDataRecord1806.s_plane_buffer_available

Buffer space remaining, S Plane.

Definition at line 1359 of file gclib.cs.

## ◆ t_plane_segment_count

UW gclib.GDataRecord1806.t_plane_segment_count

segment count of coordinated move for T plane.

Definition at line 1361 of file gclib.cs.

## ◆ t_plane_move_status

UW gclib.GDataRecord1806.t_plane_move_status

Coordinated move status for T plane.

Definition at line 1362 of file gclib.cs.

## ◆ t_distance

SL gclib.GDataRecord1806.t_distance

distance traveled in coordinated move for T plane.

Definition at line 1363 of file gclib.cs.

## ◆ t_plane_buffer_available

UW gclib.GDataRecord1806.t_plane_buffer_available

Buffer space remaining, T Plane.

Definition at line 1364 of file gclib.cs.

## ◆ axis_a_status

UW gclib.GDataRecord1806.axis_a_status

A axis status.

Definition at line 1366 of file gclib.cs.

## ◆ axis_a_switches

UB gclib.GDataRecord1806.axis_a_switches

A axis switches.

Definition at line 1367 of file gclib.cs.

## ◆ axis_a_stop_code

UB gclib.GDataRecord1806.axis_a_stop_code

A axis stop code.

Definition at line 1368 of file gclib.cs.

## ◆ axis_a_reference_position

SL gclib.GDataRecord1806.axis_a_reference_position

A axis reference position.

Definition at line 1369 of file gclib.cs.

## ◆ axis_a_motor_position

SL gclib.GDataRecord1806.axis_a_motor_position

A axis motor position.

Definition at line 1370 of file gclib.cs.

## ◆ axis_a_position_error

SL gclib.GDataRecord1806.axis_a_position_error

A axis position error.

Definition at line 1371 of file gclib.cs.

## ◆ axis_a_aux_position

SL gclib.GDataRecord1806.axis_a_aux_position

A axis auxiliary position.

Definition at line 1372 of file gclib.cs.

## ◆ axis_a_velocity

SL gclib.GDataRecord1806.axis_a_velocity

A axis velocity.

Definition at line 1373 of file gclib.cs.

## ◆ axis_a_torque

SL gclib.GDataRecord1806.axis_a_torque

A axis torque.

Definition at line 1374 of file gclib.cs.

## ◆ axis_a_analog_in

UW gclib.GDataRecord1806.axis_a_analog_in

A axis analog input.

Definition at line 1375 of file gclib.cs.

## ◆ axis_a_reserved_0

UB gclib.GDataRecord1806.axis_a_reserved_0

Reserved.

Definition at line 1376 of file gclib.cs.

## ◆ axis_a_reserved_1

UB gclib.GDataRecord1806.axis_a_reserved_1

Reserved.

Definition at line 1377 of file gclib.cs.

## ◆ axis_a_variable

SL gclib.GDataRecord1806.axis_a_variable

A User-defined variable (ZA).

Definition at line 1378 of file gclib.cs.

## ◆ axis_b_status

UW gclib.GDataRecord1806.axis_b_status

B axis status.

Definition at line 1380 of file gclib.cs.

## ◆ axis_b_switches

UB gclib.GDataRecord1806.axis_b_switches

B axis switches.

Definition at line 1381 of file gclib.cs.

## ◆ axis_b_stop_code

UB gclib.GDataRecord1806.axis_b_stop_code

B axis stop code.

Definition at line 1382 of file gclib.cs.

## ◆ axis_b_reference_position

SL gclib.GDataRecord1806.axis_b_reference_position

B axis reference position.

Definition at line 1383 of file gclib.cs.

## ◆ axis_b_motor_position

SL gclib.GDataRecord1806.axis_b_motor_position

B axis motor position.

Definition at line 1384 of file gclib.cs.

## ◆ axis_b_position_error

SL gclib.GDataRecord1806.axis_b_position_error

B axis position error.

Definition at line 1385 of file gclib.cs.

## ◆ axis_b_aux_position

SL gclib.GDataRecord1806.axis_b_aux_position

B axis auxiliary position.

Definition at line 1386 of file gclib.cs.

## ◆ axis_b_velocity

SL gclib.GDataRecord1806.axis_b_velocity

B axis velocity.

Definition at line 1387 of file gclib.cs.

## ◆ axis_b_torque

SL gclib.GDataRecord1806.axis_b_torque

B axis torque.

Definition at line 1388 of file gclib.cs.

## ◆ axis_b_analog_in

UW gclib.GDataRecord1806.axis_b_analog_in

B axis analog input.

Definition at line 1389 of file gclib.cs.

## ◆ axis_b_reserved_0

UB gclib.GDataRecord1806.axis_b_reserved_0

Reserved.

Definition at line 1390 of file gclib.cs.

## ◆ axis_b_reserved_1

UB gclib.GDataRecord1806.axis_b_reserved_1

Reserved.

Definition at line 1391 of file gclib.cs.

## ◆ axis_b_variable

SL gclib.GDataRecord1806.axis_b_variable

B User-defined variable (ZA).

Definition at line 1392 of file gclib.cs.

## ◆ axis_c_status

UW gclib.GDataRecord1806.axis_c_status

C axis status.

Definition at line 1394 of file gclib.cs.

## ◆ axis_c_switches

UB gclib.GDataRecord1806.axis_c_switches

C axis switches.

Definition at line 1395 of file gclib.cs.

## ◆ axis_c_stop_code

UB gclib.GDataRecord1806.axis_c_stop_code

C axis stop code.

Definition at line 1396 of file gclib.cs.

## ◆ axis_c_reference_position

SL gclib.GDataRecord1806.axis_c_reference_position

C axis reference position.

Definition at line 1397 of file gclib.cs.

## ◆ axis_c_motor_position

SL gclib.GDataRecord1806.axis_c_motor_position

C axis motor position.

Definition at line 1398 of file gclib.cs.

## ◆ axis_c_position_error

SL gclib.GDataRecord1806.axis_c_position_error

C axis position error.

Definition at line 1399 of file gclib.cs.

## ◆ axis_c_aux_position

SL gclib.GDataRecord1806.axis_c_aux_position

C axis auxiliary position.

Definition at line 1400 of file gclib.cs.

## ◆ axis_c_velocity

SL gclib.GDataRecord1806.axis_c_velocity

C axis velocity.

Definition at line 1401 of file gclib.cs.

## ◆ axis_c_torque

SL gclib.GDataRecord1806.axis_c_torque

C axis torque.

Definition at line 1402 of file gclib.cs.

## ◆ axis_c_analog_in

UW gclib.GDataRecord1806.axis_c_analog_in

C axis analog input.

Definition at line 1403 of file gclib.cs.

## ◆ axis_c_reserved_0

UB gclib.GDataRecord1806.axis_c_reserved_0

Reserved.

Definition at line 1404 of file gclib.cs.

## ◆ axis_c_reserved_1

UB gclib.GDataRecord1806.axis_c_reserved_1

Reserved.

Definition at line 1405 of file gclib.cs.

## ◆ axis_c_variable

SL gclib.GDataRecord1806.axis_c_variable

C User-defined variable (ZA).

Definition at line 1406 of file gclib.cs.

## ◆ axis_d_status

UW gclib.GDataRecord1806.axis_d_status

D axis status.

Definition at line 1408 of file gclib.cs.

## ◆ axis_d_switches

UB gclib.GDataRecord1806.axis_d_switches

D axis switches.

Definition at line 1409 of file gclib.cs.

## ◆ axis_d_stop_code

UB gclib.GDataRecord1806.axis_d_stop_code

D axis stop code.

Definition at line 1410 of file gclib.cs.

## ◆ axis_d_reference_position

SL gclib.GDataRecord1806.axis_d_reference_position

D axis reference position.

Definition at line 1411 of file gclib.cs.

## ◆ axis_d_motor_position

SL gclib.GDataRecord1806.axis_d_motor_position

D axis motor position.

Definition at line 1412 of file gclib.cs.

## ◆ axis_d_position_error

SL gclib.GDataRecord1806.axis_d_position_error

D axis position error.

Definition at line 1413 of file gclib.cs.

## ◆ axis_d_aux_position

SL gclib.GDataRecord1806.axis_d_aux_position

D axis auxiliary position.

Definition at line 1414 of file gclib.cs.

## ◆ axis_d_velocity

SL gclib.GDataRecord1806.axis_d_velocity

D axis velocity.

Definition at line 1415 of file gclib.cs.

## ◆ axis_d_torque

SL gclib.GDataRecord1806.axis_d_torque

D axis torque.

Definition at line 1416 of file gclib.cs.

## ◆ axis_d_analog_in

UW gclib.GDataRecord1806.axis_d_analog_in

D axis analog input.

Definition at line 1417 of file gclib.cs.

## ◆ axis_d_reserved_0

UB gclib.GDataRecord1806.axis_d_reserved_0

Reserved.

Definition at line 1418 of file gclib.cs.

## ◆ axis_d_reserved_1

UB gclib.GDataRecord1806.axis_d_reserved_1

Reserved.

Definition at line 1419 of file gclib.cs.

## ◆ axis_d_variable

SL gclib.GDataRecord1806.axis_d_variable

D User-defined variable (ZA).

Definition at line 1420 of file gclib.cs.

## ◆ axis_e_status

UW gclib.GDataRecord1806.axis_e_status

E axis status.

Definition at line 1422 of file gclib.cs.

## ◆ axis_e_switches

UB gclib.GDataRecord1806.axis_e_switches

E axis switches.

Definition at line 1423 of file gclib.cs.

## ◆ axis_e_stop_code

UB gclib.GDataRecord1806.axis_e_stop_code

E axis stop code.

Definition at line 1424 of file gclib.cs.

## ◆ axis_e_reference_position

SL gclib.GDataRecord1806.axis_e_reference_position

E axis reference position.

Definition at line 1425 of file gclib.cs.

## ◆ axis_e_motor_position

SL gclib.GDataRecord1806.axis_e_motor_position

E axis motor position.

Definition at line 1426 of file gclib.cs.

## ◆ axis_e_position_error

SL gclib.GDataRecord1806.axis_e_position_error

E axis position error.

Definition at line 1427 of file gclib.cs.

## ◆ axis_e_aux_position

SL gclib.GDataRecord1806.axis_e_aux_position

E axis auxiliary position.

Definition at line 1428 of file gclib.cs.

## ◆ axis_e_velocity

SL gclib.GDataRecord1806.axis_e_velocity

E axis velocity.

Definition at line 1429 of file gclib.cs.

## ◆ axis_e_torque

SL gclib.GDataRecord1806.axis_e_torque

E axis torque.

Definition at line 1430 of file gclib.cs.

## ◆ axis_e_analog_in

UW gclib.GDataRecord1806.axis_e_analog_in

E axis analog input.

Definition at line 1431 of file gclib.cs.

## ◆ axis_e_reserved_0

UB gclib.GDataRecord1806.axis_e_reserved_0

Reserved.

Definition at line 1432 of file gclib.cs.

## ◆ axis_e_reserved_1

UB gclib.GDataRecord1806.axis_e_reserved_1

Reserved.

Definition at line 1433 of file gclib.cs.

## ◆ axis_e_variable

SL gclib.GDataRecord1806.axis_e_variable

E User-defined variable (ZA).

Definition at line 1434 of file gclib.cs.

## ◆ axis_f_status

UW gclib.GDataRecord1806.axis_f_status

F axis status.

Definition at line 1436 of file gclib.cs.

## ◆ axis_f_switches

UB gclib.GDataRecord1806.axis_f_switches

F axis switches.

Definition at line 1437 of file gclib.cs.

## ◆ axis_f_stop_code

UB gclib.GDataRecord1806.axis_f_stop_code

F axis stop code.

Definition at line 1438 of file gclib.cs.

## ◆ axis_f_reference_position

SL gclib.GDataRecord1806.axis_f_reference_position

F axis reference position.

Definition at line 1439 of file gclib.cs.

## ◆ axis_f_motor_position

SL gclib.GDataRecord1806.axis_f_motor_position

F axis motor position.

Definition at line 1440 of file gclib.cs.

## ◆ axis_f_position_error

SL gclib.GDataRecord1806.axis_f_position_error

F axis position error.

Definition at line 1441 of file gclib.cs.

## ◆ axis_f_aux_position

SL gclib.GDataRecord1806.axis_f_aux_position

F axis auxiliary position.

Definition at line 1442 of file gclib.cs.

## ◆ axis_f_velocity

SL gclib.GDataRecord1806.axis_f_velocity

F axis velocity.

Definition at line 1443 of file gclib.cs.

## ◆ axis_f_torque

SL gclib.GDataRecord1806.axis_f_torque

F axis torque.

Definition at line 1444 of file gclib.cs.

## ◆ axis_f_analog_in

UW gclib.GDataRecord1806.axis_f_analog_in

F axis analog input.

Definition at line 1445 of file gclib.cs.

## ◆ axis_f_reserved_0

UB gclib.GDataRecord1806.axis_f_reserved_0

Reserved.

Definition at line 1446 of file gclib.cs.

## ◆ axis_f_reserved_1

UB gclib.GDataRecord1806.axis_f_reserved_1

Reserved.

Definition at line 1447 of file gclib.cs.

## ◆ axis_f_variable

SL gclib.GDataRecord1806.axis_f_variable

F User-defined variable (ZA).

Definition at line 1448 of file gclib.cs.

## ◆ axis_g_status

UW gclib.GDataRecord1806.axis_g_status

G axis status.

Definition at line 1450 of file gclib.cs.

## ◆ axis_g_switches

UB gclib.GDataRecord1806.axis_g_switches

G axis switches.

Definition at line 1451 of file gclib.cs.

## ◆ axis_g_stop_code

UB gclib.GDataRecord1806.axis_g_stop_code

G axis stop code.

Definition at line 1452 of file gclib.cs.

## ◆ axis_g_reference_position

SL gclib.GDataRecord1806.axis_g_reference_position

G axis reference position.

Definition at line 1453 of file gclib.cs.

## ◆ axis_g_motor_position

SL gclib.GDataRecord1806.axis_g_motor_position

G axis motor position.

Definition at line 1454 of file gclib.cs.

## ◆ axis_g_position_error

SL gclib.GDataRecord1806.axis_g_position_error

G axis position error.

Definition at line 1455 of file gclib.cs.

## ◆ axis_g_aux_position

SL gclib.GDataRecord1806.axis_g_aux_position

G axis auxiliary position.

Definition at line 1456 of file gclib.cs.

## ◆ axis_g_velocity

SL gclib.GDataRecord1806.axis_g_velocity

G axis velocity.

Definition at line 1457 of file gclib.cs.

## ◆ axis_g_torque

SL gclib.GDataRecord1806.axis_g_torque

G axis torque.

Definition at line 1458 of file gclib.cs.

## ◆ axis_g_analog_in

UW gclib.GDataRecord1806.axis_g_analog_in

G axis analog input.

Definition at line 1459 of file gclib.cs.

## ◆ axis_g_reserved_0

UB gclib.GDataRecord1806.axis_g_reserved_0

Reserved.

Definition at line 1460 of file gclib.cs.

## ◆ axis_g_reserved_1

UB gclib.GDataRecord1806.axis_g_reserved_1

Reserved.

Definition at line 1461 of file gclib.cs.

## ◆ axis_g_variable

SL gclib.GDataRecord1806.axis_g_variable

G User-defined variable (ZA).

Definition at line 1462 of file gclib.cs.

## ◆ axis_h_status

UW gclib.GDataRecord1806.axis_h_status

H axis status.

Definition at line 1464 of file gclib.cs.

## ◆ axis_h_switches

UB gclib.GDataRecord1806.axis_h_switches

H axis switches.

Definition at line 1465 of file gclib.cs.

## ◆ axis_h_stop_code

UB gclib.GDataRecord1806.axis_h_stop_code

H axis stop code.

Definition at line 1466 of file gclib.cs.

## ◆ axis_h_reference_position

SL gclib.GDataRecord1806.axis_h_reference_position

H axis reference position.

Definition at line 1467 of file gclib.cs.

## ◆ axis_h_motor_position

SL gclib.GDataRecord1806.axis_h_motor_position

H axis motor position.

Definition at line 1468 of file gclib.cs.

## ◆ axis_h_position_error

SL gclib.GDataRecord1806.axis_h_position_error

H axis position error.

Definition at line 1469 of file gclib.cs.

## ◆ axis_h_aux_position

SL gclib.GDataRecord1806.axis_h_aux_position

H axis auxiliary position.

Definition at line 1470 of file gclib.cs.

## ◆ axis_h_velocity

SL gclib.GDataRecord1806.axis_h_velocity

H axis velocity.

Definition at line 1471 of file gclib.cs.

## ◆ axis_h_torque

SL gclib.GDataRecord1806.axis_h_torque

H axis torque.

Definition at line 1472 of file gclib.cs.

## ◆ axis_h_analog_in

UW gclib.GDataRecord1806.axis_h_analog_in

H axis analog input.

Definition at line 1473 of file gclib.cs.

## ◆ axis_h_reserved_0

UB gclib.GDataRecord1806.axis_h_reserved_0

Reserved.

Definition at line 1474 of file gclib.cs.

## ◆ axis_h_reserved_1

UB gclib.GDataRecord1806.axis_h_reserved_1

Reserved.

Definition at line 1475 of file gclib.cs.

## ◆ axis_h_variable

SL gclib.GDataRecord1806.axis_h_variable

H User-defined variable (ZA).

Definition at line 1476 of file gclib.cs.

The documentation for this struct was generated from the following file:

- gclib.cs